
From: Jeff Dike <jdike@addtoit.com>

ubd_get_config wasn't using the standard device number parser, which caused it
not to recognize letters.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/ubd_kern.c |    8 +-------
 1 files changed, 1 insertion(+), 7 deletions(-)

diff -puN arch/um/drivers/ubd_kern.c~uml-make-the-ubd-driver-recognize-letters-in-device-names arch/um/drivers/ubd_kern.c
--- 25/arch/um/drivers/ubd_kern.c~uml-make-the-ubd-driver-recognize-letters-in-device-names	2005-03-07 22:16:13.000000000 -0800
+++ 25-akpm/arch/um/drivers/ubd_kern.c	2005-03-07 22:16:13.000000000 -0800
@@ -746,15 +746,9 @@ static int ubd_config(char *str)
 static int ubd_get_config(char *name, char *str, int size, char **error_out)
 {
 	struct ubd *dev;
-	char *end;
 	int n, len = 0;
 
-	n = simple_strtoul(name, &end, 0);
-	if((*end != '\0') || (end == name)){
-		*error_out = "ubd_get_config : didn't parse device number";
-		return(-1);
-	}
-
+	n = parse_unit(&name);
 	if((n >= MAX_DEV) || (n < 0)){
 		*error_out = "ubd_get_config : device number out of range";
 		return(-1);
_
